Comment 0 for bug 1286882

Pablo V (pablinuxito) wrote :

On Trusty(14.04) I wasn't able to install libapache2-mpm-itk until I manually changed the current apache2 configuration to use the mpm-prefork worker instead of the mpm-event worker it was using:

This is what I got before making the fix:

Setting up libapache2-mpm-itk (2.4.6-01-1) ...
dpkg: error processing package libapache2-mpm-itk (--install):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 libapache2-mpm-itk

This is the config fix I made:

# a2dismod mpm_event
# a2enmod mpm_prefork
# service apache2 restart

That change eliminated the install failure:

Installing /var/cache/apt/archives/libapache2-mpm-itk_2.4.6-01-1_amd64.deb
(Reading database ... 91772 files and directories currently installed.)
Preparing to unpack .../libapache2-mpm-itk_2.4.6-01-1_amd64.deb ...
Unpacking libapache2-mpm-itk (2.4.6-01-1) over (2.4.6-01-1) ...
Setting up libapache2-mpm-itk (2.4.6-01-1) ...
apache2_invoke: Enable module mpm_itk
 * Restarting web server apache2 [ OK ]